summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--net/dhcpcd.sh2
-rwxr-xr-xsh/net.sh8
2 files changed, 7 insertions, 3 deletions
diff --git a/net/dhcpcd.sh b/net/dhcpcd.sh
index 1878a9c..43d2232 100644
--- a/net/dhcpcd.sh
+++ b/net/dhcpcd.sh
@@ -24,7 +24,7 @@
dhcpcd_depend() {
after interface
- program start /sbin/dhcpcd /usr/local/sbin/dhcpcd
+ program start dhcpcd
provide dhcp
# We prefer dhcpcd over the others
diff --git a/sh/net.sh b/sh/net.sh
index ab648a0..fc44095 100755
--- a/sh/net.sh
+++ b/sh/net.sh
@@ -329,9 +329,13 @@ _load_modules() {
if [ -n "$1" ]; then
x=
for x; do
- [ -x "${x}" ] && break
+ case "${x}" in
+ /*) [ -x "${x}" ] && break;;
+ *) type "${x}" >/dev/null 2>&1 && break;;
+ esac
+ unset x
done
- [ -x "${x}" ] || continue
+ [ -n "${x}" ] || continue
fi
eval provides=\$module_${i}_provide